Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class ResourceParams

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCDefinitions
          com.novell.nds.dirxml.engine.gcv.ResourceParams

All Implemented Interfaces:
  ConfigElement

    public class ResourceParams

extends GCDefinitions

`ResourceParams` is an aggregation of `GCValue` objects. The difference between `ResourceParams` and its parent class `GCDefinitions` is that `ResourceParams` allows GCVs of type "password-ref". It also differs in that it is constructed from a definitions element that may come from an arbitrary location in a document

Methods are provided to parse an XML representation of Global Configuration Values and to serialize the contained collection of GCVs to an XML representation.

For user interface purposes the list of GCValue objects is ordered.

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`defsList`

Constructor Summary
`ResourceParams()` Construct an empty `ShimParams` object.

Method Summary
`static ResourceParams` | `constructResourceParams(Element element)` Construct a `ShimParams` object and association `GCValue` objects from a DOM XML element containing the XML representation.
`Document` | `toXml()` Return the DOM XML representation of this `ShimParams` object and associated `GCValue` objects.
`Element` | `toXml(Node parent)` Create the DOM XML representation of this `ShimParams` object and associated `GCValue` objects in an existing document.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`appendValue, apply, apply, checkAllowedType, construct, construct, construct, construct, construct, construct0, getValue, hasBeenModified, insertValue, insertValue, iterator, localize, merge, removeValue, removeValue, resetModified, shallowIterator, toBytes, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceParams

    public ResourceParams()

  Construct an empty `ShimParams` object.

Method Detail

### constructResourceParams

    public static ResourceParams constructResourceParams(Element element)
                                                  throws GCVException

  Construct a `ShimParams` object and association `GCValue` objects from a DOM XML element containing the XML representation.

  Typically, the DOM element would be the result of parsing the value of the DirXML-Data attribute of a DirXML-Resource object

  Parameters:
    `element` - The definitions element
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### toXml

    public Element toXml(Node parent)
                  throws GCVException

  Create the DOM XML representation of this `ShimParams` object and associated `GCValue` objects in an existing document.

  Parameters:
    `parent` - the parent node for creating the definitions element
  Returns:
    DOM definitions element containing XML representation of GCVs.
  Throws:
    `GCVException` - thrown if XML creation fails because one or more GCVs is incomplete.

### toXml

    public Document toXml()
                   throws GCVException

  Return the DOM XML representation of this `ShimParams` object and associated `GCValue` objects.

  Overrides:
    `toXml` in class `GCDefinitions`
  Returns:
    DOM document containing XML representation of GCVs.
  Throws:
    `GCVException` - thrown if XML creation fails because one or more GCVs is incomplete.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD